Bug 1044147 - 7-bit check plugin does not work for userpassword attribute
Summary: 7-bit check plugin does not work for userpassword attribute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 1088171
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:25 UTC by Nathan Kinder
Modified: 2015-03-05 09:29 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1088171 (view as bug list)
Environment:
Last Closed: 2015-03-05 09:29:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:25:41 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47423

7-bit check plugin fails to validate the userpassword attribute.

Comment 2 Jenny Severance 2014-10-20 20:17:02 UTC
From original bug:

Steps to reproduce:
Make sure the 7 bit plugin is enabled and userpassword is in the arg list.
  dn: cn=7-bit check,cn=plugins,cn=config
  nsslapd-pluginEnabled: on
  nsslapd-pluginarg2: userpassword

Command line: ldapadd -x -D "cn=directory manager" -w password -f test.ldif

Contents of test.ldif:

dn: uid=Testuser1,ou=People,dc=localdomain
changetype: add
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetOrgPerson
cn: Testuser1
sn: user1
uid: Testuser1
givenName: Test
userPassword: κñόσμε

Actual output: New user added

Expected output: ldap_add: Constraint violation (19)

    additional info: The value is not 7-bit clean: κñόσμε

Comment 3 Viktor Ashirov 2014-12-26 01:26:44 UTC
$ rpm -qa | grep 389
389-ds-base-debuginfo-1.3.3.1-10.el7.x86_64
389-ds-base-1.3.3.1-10.el7.x86_64
389-ds-base-libs-1.3.3.1-10.el7.x86_64

dn: cn=7-bit check,cn=plugins,cn=config
nsslapd-pluginEnabled: on
nsslapd-pluginarg0: uid
nsslapd-pluginarg1: mail
nsslapd-pluginarg2: userpassword
nsslapd-pluginarg3: ,
nsslapd-pluginarg4: dc=example,dc=com

$ ldapmodify -D "cn=Directory Manager" -w Secret123  -H ldap://localhost:389 -f test.ldif 
adding new entry "uid=user1,ou=People,dc=example,dc=com"
ldap_add: Constraint violation (19)
	additional info: The value is not 7-bit clean: κñόσμε

Marking as VERIFIED.

Comment 5 errata-xmlrpc 2015-03-05 09:29:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.